#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf libXinerama-1.1.2.tar.bz2
    cd libXinerama-1.1.2
    ./configure --prefix=/usr --sysconfdir=/etc/X11 --localstatedir=/var \
	    --datarootdir=/usr/lib --disable-static
    make
    strip -R .note -R .comment src/.libs/libXinerama.so.1
    mkdir -p ../libxinerama1/lib
    cp src/.libs/libXinerama.so.1 ../libxinerama1/lib/
    cd ..
    rm -rf libXinerama-1.1.2
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
